unit uLibrary;

interface

uses
  Common.Ini,
  System.Classes,
  Uni;

procedure LoadDatabaseSettings(uc: TUniConnection);
procedure DoQuery(uq: TUniQuery; sql: string);

implementation

uses
  System.SysUtils,
  Data.DB;

procedure LoadDatabaseSettings(uc: TUniConnection);
begin
  uc.Server   := iniEntries.dbServer;
  uc.Database := iniEntries.dbDatabase;
  uc.Username := iniEntries.dbUsername;
  uc.Password := iniEntries.dbPassword;
end;

procedure DoQuery(uq: TUniQuery; sql: string);
begin
  uq.Close;
  uq.SQL.Text := sql;
  uq.Open;
end;


end.
